package com.ytpm.lemon.dao;

import com.ytpm.app.model.YtDyzLoginRecord;
import com.ytpm.app.param.AppUserQueryParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface LoginRecordMapper {
    /**
     * 增加用户登录记录
     */
    void insertOne(YtDyzLoginRecord loginRecord);

    /**
     * 查询用户登录记录
     */
    List<YtDyzLoginRecord> getLoginRecords(@Param("userId")String userId);

    List<YtDyzLoginRecord> getLoginRecordByIds(@Param("userIds")String userIds);

    List<String> queryLoginCount(AppUserQueryParam appUserQueryParam);

    int getTodayLoginCount(@Param("userId") String userId);
}
